You are Here:
Linux Lite 4.6 Final has been released. See the Release Announcements section for more information.



[ SOLVED ] I have problems in apt-get

Author (Read 1665 times)

0 Members and 1 Guest are viewing this topic.

I have problems in apt-get
« on: August 16, 2016, 03:45:33 PM »
 

humdinger70

  • New to Forums
  • *
  • 45
    Posts
  • Country: us
  • Reputation: 4
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: Core i7 2nd gen

  • MEMORY: 16Gb
A recent 'apt install' I did for some software mentioned that there were upgradable packages. When I do a 'sudo apt --upgradable', I get notifications.  They were upgrades of the kernel (from 4.4.0-22 to 4.4.0-38). Yet they don't show up under the 'Install Updates'.

Yes, I know I can do a 'sudo apt dist-upgrade' from the command line, but why aren't these showing up in the graphical update?
Last Edit: August 18, 2016, 03:48:54 AM by humdinger70
 


Re: I have problems in apt-get
« Reply #1 on: August 16, 2016, 05:10:24 PM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1483
    Posts
  • Country: us
  • Reputation: 242
  • * Forum Moderator *

  • Linux Lite: 4.6 64bit

  • CPU: Intel Core i5-5300U (-HT-MCP-)

  • MEMORY: 8Gb

  • VIDEO CARD: Intel Broadwell-U Integrated Graphics
humdinger70,

I think you have a point.  I know the users I helped get on Linux Lite 2.x will need the 3.13 kernel security update to 3.13.0.93.  They wouldn't know about "sudo apt-get dist-upgrade," and I wish I didn't have to track those users down to explain how they could get the same update using Synaptic Package Manager.  Version update?  Sure.  Security update?  It would be better to have that in the regular Menu > Favorites > Install Updates utility, like with the other security updates. 
Want to thank me?  Click my [Thank] link.
 

Re: I have problems in apt-get
« Reply #2 on: August 16, 2016, 07:53:25 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7071
    Posts
  • Country: nz
  • Reputation: 662
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
This should be fixed in 3.2 Folks will get automatic kernel updates through Install Updates. FYI, please don't do dist-upgrade.

Sent from my Nexus 6 using Tapatalk

 

Re: I have problems in apt-get
« Reply #3 on: August 16, 2016, 08:15:19 PM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1483
    Posts
  • Country: us
  • Reputation: 242
  • * Forum Moderator *

  • Linux Lite: 4.6 64bit

  • CPU: Intel Core i5-5300U (-HT-MCP-)

  • MEMORY: 8Gb

  • VIDEO CARD: Intel Broadwell-U Integrated Graphics
I didn't.  I heard you mention that before.   But I did open Install/Remove Software and ran Reload, Mark All Upgrades, and Apply.  Is there a simpler way I can tell my friends and family who are still on LL 2.8?
Want to thank me?  Click my [Thank] link.
 

Re: I have problems in apt-get
« Reply #4 on: August 16, 2016, 08:32:51 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7071
    Posts
  • Country: nz
  • Reputation: 662
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
sudo apt-get install linux-generic

Sent from my Nexus 6 using Tapatalk

 

Re: I have problems in apt-get
« Reply #5 on: August 18, 2016, 03:40:09 AM »
 

humdinger70

  • New to Forums
  • *
  • 45
    Posts
  • Country: us
  • Reputation: 4
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: Core i7 2nd gen

  • MEMORY: 16Gb
I was able to install the new kernel version (4.4.0-34) via 'sudo apt upgrade' (note, NOT dist-upgrade).

One thing, with a new kernel install, there's no mention (via a pop-up) of doing a reboot (Ubuntu does do this) to start using the new kernel. Will this be changed?
 

Re: I have problems in apt-get
« Reply #6 on: August 18, 2016, 11:28:23 AM »
 

BarryVG

  • Occasional Poster
  • **
  • 59
    Posts
  • Reputation: 8
  • Linux Lite Member

  • CPU: Intel (R) Pentium (R) 4 2.80GHz

  • MEMORY: 1Gb

  • VIDEO CARD: Intel Corp 82915G//910GL
Love that command line input.   I'm still running 2.8 and find it very comfortable.  Been on 3.0 on another system, but I like the functions available in 2.8
 


Tags:
 


Linux Lite 4.6 Final has been released. See the Release Announcements section for more information.